body {
  background-color: #edf2f9;
}
/* card css */
.homework > .container > .card {
  border-radius: 0.2rem;
  background-color: #ecf0f3;
  color: #a0a5a8;
  border: none;
  box-shadow: 0 7px 14px 0 rgba(65, 69, 88, 0.1),
    0 3px 6px 0 rgba(0, 0, 0, 0.07);
}

.homework > .container > .card:before {
  content: "";
  display: block;
  position: absolute;
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
  background: url("../img/corner-4.png") no-repeat right;
  background-size: cover;
}

/* nav css */
.nav-bai-tap.nav-tabs {
  padding: 20px;
  box-shadow: 4px 4px 10px #d1d9e6, -4px -4px 10px #f9f9f9;
  background-color: #ecf0f3;
  border-bottom: none;
}

.nav-bai-tap .nav-link {
  box-shadow: -3px -3px 7px #fff, 3px 3px 5px #ceced1;
  color: #31344b;
  transition: 0.4s;
  text-align: center;
}

.nav-bai-tap .nav-link:hover {
  isolation: isolate;
}

.nav-tabs .nav-link {
  border: none;
}

.tab-content .tab-pane {
  padding: 20px;
}

/* info-box css */
.info-box {
  border-radius: 7px;
  border: 1px solid #e9ecef;
  border-left: 0.25rem solid #5bc0de;
  background: #fff;
  color: #31344b;
  box-shadow: -3px -3px 7px #fff, 3px 3px 5px #ceced1;
  padding: 1.25rem;
  margin: 1.25rem 0;
  transition: 0.5s;
}

.info-box ul {
  padding-left: 30px;
}

/* tab-pane */
.card .tab-pane .card-title {
  color: #31344b;
  font-size: 24px;
  font-weight: 500;
}

/* form css */

.form__input {
  outline: none;
  border: none;
  background-color: #ecf0f3;
  padding: 0.5rem 1rem;
  border-radius: 8px;
  box-shadow: inset 2px 2px 4px #d1d9e6, inset -2px -2px 4px #f9f9f9;
  transition: 0.5s;
}

.form__input:focus {
  box-shadow: inset 4px 4px 4px #d1d9e6, inset -4px -4px 4px #f9f9f9;
}

.tab-pane .form-bai-tap .btn-calc,
.btn-add {
  background-color: #4b70e2;
  color: #f9f9f9;
  text-align: center;
  letter-spacing: 1px;
  border: none;
  outline: 0;
  padding: 10px 40px;
  transition: 0.5s;
  box-shadow: 8px 8px 16px #d1d9e6, -8px -8px 16px #f9f9f9;
  transform: scale(1);
}

.tab-pane .form-bai-tap .btn-calc:focus,
.tab-pane .form-bai-tap .btn-calc:hover,
.btn-add:focus,
.btn-add:hover {
  color: #f9f9f9;
  transform: scale(0.97);
  box-shadow: 6px 6px 10px #d1d9e6, -6px -6px 10px #f9f9f9;
}

.tab-pane .form-bai-tap .btn-calc:focus:not(:focus-visible),
.btn-add.btn-calc:focus:not(:focus-visible) {
  outline: none;
}

.form-bai-tap {
  gap: 20px 0;
}

.row.form-bai-tap > * {
  max-width: 100%;
}

.form-bai-tap .result {
  width: 100%;
}

/* show & hide */
.numb-channels-wrapper {
  display: none;
}

.input-result {
  width: 100%;
}

.btn-link:hover {
  text-decoration: none;
}

.btn-link.focus,
.btn-link:focus {
  text-decoration: none;
}

.card-header {
  padding: 0;
}
